if status is-interactive
    # Commands to run in interactive sessions can go here
end

function fish_user_key_bindings
    for mode in insert default visual
        bind -M $mode \cf forward-char
    end
        bind -M insert jk "if commandline -P; commandline -f cancel; else; set fish_bind_mode default; commandline -f backward-char force-repaint; end"
end

set -x VIRTUAL_ENV_DISABLE_PROMPT 1

set -x theme_color_scheme nord
set -x theme_nerd_fonts yes
set -x fish_prompt_pwd_dir_length 0

fish_vi_key_bindings
fish_user_key_bindings